site_name: Les listes
site_author: 'Jean-Manuel Mény'

# pour ne pas avoir liens dossier/ ne fonctionnant que sous serveur:
use_directory_urls: false



nav:
    - Home: index.md
    - Définir et parcourir:
        - Tableau: tableau.md
        - Liste: liste.md
        - Parcourir: parcourir.md

    - Compréhension:
        - Définition: comprehension1.md
        - Filtrer: comprehension2.md
        - Compréhension double: comprehension3.md
        - Exercices:
            - Requêtes: requete.md
            - Requêtes 2: requete2.md
            - Compteurs: compteur.md
     
    - Algorithmes fondamentaux:
        - Présence: presence.md
        - Maximum: maximum.md
        - Compter les opérations: compter.md
        - QCM: qcm2.md
    - Objet modifiable:
        - Muable: muable.md
        - Effet de bord: bord.md
        - Concaténation: concat.md

    - Entraînement:
        - Entraînement: entraine.md
        - Accumulateurs: accu.md
        - Unicité: entrainement1.md
        - Les carrés: carres.md
        - Scrabble: entrainement2.md
        - Jeu de cartes: entrainement3.md
        - Rabin Karp: rabin.md
        - Annales: annale21.md
         
     
     
        
        
    
#theme: readthedocs
theme:
    name: 'material'
    language: 'fr'
    palette:
        primary: 'indigo'
        accent: 'amber'
    feature:
        tabs: false
        
        
        
extra_css: 
    - 'style/extra.css'
    
extra_javascript:
  - 'https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-MML-AM_CHTML'
  
    
    
#https://python-markdown.github.io/extensions/
#https://squidfunk.github.io/mkdocs-material/extensions/pymdown/
#https://github.com/Python-Markdown/markdown/wiki/Third-Party-Extensions

markdown_extensions:
    - attr_list #https://python-markdown.github.io/extensions/attr_list/
    - pymdownx.arithmatex #https://squidfunk.github.io/mkdocs-material/extensions/pymdown/
    - pymdownx.tasklist:
        custom_checkbox: true
        clickable_checkbox: true
    - pymdownx.details #https://facelessuser.github.io/pymdown-extensions/extensions/details/
    - pymdownx.superfences #https://facelessuser.github.io/pymdown-extensions/extensions/superfences/
    - pymdownx.emoji:
          emoji_generator: !!python/name:pymdownx.emoji.to_svg 
          #https://facelessuser.github.io/pymdown-extensions/extensions/emoji/
          #https://www.emojicopy.com/
    - meta  # https://squidfunk.github.io/mkdocs-material/extensions/metadata/
    - codehilite:  
        linenums: true  # https://squidfunk.github.io/mkdocs-material/extensions/codehilite/ 
    - admonition  #https://squidfunk.github.io/mkdocs-material/extensions/admonition/
    - toc:
        permalink: '☘'
        baselevel: 1
        separator: "_"


plugins:
    - search
    #- enumerate-headings
